Subject: [Rats] Re: Clarifications in draft-ietf-rats-eat
From: Muhammad Usama Sardar <[email-masked]>
To: Laurence Lundblade <[email-masked]>
Cc: "Smith, Ned" <[email-masked]>, Roman Danyliw <[email-masked]>, Jeremy O'Donoghue <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Mon, 21 Apr 2025 12:14:16 +0200
List-Id: Remote ATtestation procedureS <rats.ietf.org>

Hi Laurence,

I am happy that we could have a technical discussion independent of RFC.

One question; mostly agree with the rest. Please see inline.

On 21.04.25 03:49, Laurence Lundblade wrote:
> I often do not know what someone means when they use the bare term 
> “authentication” — who’s authenticating who based on what secret for 
> what purpose?
Purpose may be hard to put in there in the definition; otherwise I like 
that. It is nice and precise.
> Just looked at draft-ietf-rats-reference-interaction-models, which I 
> hadn’t looked at before. Yes, that authentication is absolutely 
> required, but it’s not the same as TLS server auth.
If we consider the case of TLS server as RATS Attester, then what is the 
difference? The section does mention "by using a secure channel 
including authentication" So TLS should be one way to do it.
> I would call the "Authentication Secret” an “Attestation Key” to avoid 
> the ambiguous term that “authentication” is.
I agree.
>
> Maybe we need a rule that terms like “root” and “authentication”, 
> “key” and “trust” be qualified with at minimum one adjective. The term 
> in  draft-ietf-rats-reference-interaction-models becomes 
> "attester-verify authentication”. Anyone on this list caught using the 
> bare terms has to take notes at the next interim meeting. Just a 
> thought :-)
Good idea. But perhaps exclude when someone is quoting someone else's 
draft, otherwise I will be the note taker forever :)
> I did acknowledge your sentence quoted next was correct.
Thanks.